%define product   ZMailIn
%define version   1.0.1
%define release   6

%define rpm_prefix erp5
%define zope_home %{_prefix}/lib/erp5
%define software_home %{zope_home}/lib/python

Summary:   A Zope product to import emails into Zope sites
Name:      %{rpm_prefix}-%{product}
Version:   %{version}
Release:   %mkrel %{release}
License:   GPL
Group:     System/Servers
Source0:   %{product}-%{version}.tar.bz2
URL:       http://www.zope.org/Members/NIP/ZMailIn
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-rootdir
BuildArch: noarch
Requires:  %{rpm_prefix}-zope %{rpm_prefix}-CMF %{rpm_prefix}-ZMailIn

#----------------------------------------------------------------------
%description
ZMailIn is a Zope product to import emails into Zope sites.

#----------------------------------------------------------------------
%prep
%setup -q -c

%build

%install
%{__rm} -rf  %{buildroot}
%{__mkdir_p} %{buildroot}%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
%py_compile %{buildroot}%{software_home}/Products

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%postun
if [ "$1" = "0" ] && [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%files
%defattr(0644, zope, zope, 0755)
%doc %{product}/CREDITS.txt %{product}/INSTALL.txt %{product}/LICENSE.txt %{product}/VERSION.txt %{product}/CHANGES.txt
%{software_home}/Products/*

#----------------------------------------------------------------------
%changelog
* Wed Aug  8 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.0.1-6mdv2007.1
- add *.pyc

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 1.0.1-5mdv2007.0
- Rebuild for Mandriva 2007.0

* Wed Feb 01 2006 Kevin Deldycke <kevin@nexedi.com> 1.0.1-4mdk
- Give ownership to zope

* Wed Jan 18 2006 Kevin Deldycke <kevin@nexedi.com> 1.0.1-3mdk
- New release for Mandriva 2006
- Spec file updated

* Wed Sep 05 2003 Sebastien Robin <seb@nexedi.com> 1.0.1-2mdk
- Update spec in order to follows Mandrake Rules

* Wed Mar 05 2003 Jean-Paul Smets <jp@nexedi.com> 1.0.1-1nxd
- Initial release
